import { findUserModulePaths } from '../userModules/findUserModulePaths.js';
import { importKeyPath } from '../userModules/shared.js';
export function importUserModules({ rootDir, fixturesDir, fixtureFileSuffix, ignore, }) {
    const { fixturePaths, decoratorPaths } = findUserModulePaths({
        rootDir,
        fixturesDir,
        fixtureFileSuffix,
        ignore,
    });
    return {
        fixtures: importModules(fixturePaths, rootDir),
        decorators: importModules(decoratorPaths, rootDir),
    };
}
function importModules(paths, rootDir) {
    const modules = paths.map(p => {
        const relPath = importKeyPath(p, rootDir);
        return { relPath, module: require(p) };
    });
    return modules.reduce((acc, { relPath, module }) => ({
        ...acc,
        [relPath]: module,
    }), {});
}
